---
name: Bug Report
about: Create a report for something that misbehaves

---

## Checklist

<!-- Please carefully go through this checklist and put an 'x' inside the brackets: '[x]'  -->

* [ ] I have read the appropriate section in the [contributing
  guidelines](https://github.com/polybar/polybar/blob/master/CONTRIBUTING.md)
* [ ] I believe this issue is a problem with polybar itself and not a misconfiguration on my part.
* [ ] I have searched for other open and closed [issues](https://github.com/polybar/polybar/issues?q=is%3Aissue) that
  may have already reported this problem.
* [ ] I have checked the [known issues](https://github.com/polybar/polybar/wiki/Known-Issues) page for this problem.

## Describe the bug
<!-- A clear and concise description of what the bug is: -->

**Expected behavior:**
<!-- A clear and concise description of what you expected to happen: -->


**Actual behavior:**
<!-- What actually happens: -->


**Was it working before?**
* Did you also experience this bug in an earlier version of polybar (yes/no/don't know)?
* If no, what was the last version where this worked correctly?

## To Reproduce

<!-- A minimal but complete config with which the problem occurs: -->

```dosini

```
<!-- List any other steps needed to reproduce the issue, besides starting polybar with the config you posted above. -->

## Polybar Log
<!-- Post everything polybar outputs to the terminal when you run it and the issue occurs below -->
```

```

## Screenshots
<!-- If applicable, add screenshots to help explain your problem. -->

## Environment:
* WM:
* Distro:
* Output of `polybar -vvv`:

```

```

## Additional context
<!-- Add any other context that you think is necessary about the problem here. -->
